version: '3.9'
services:
    ref:
        hostname: pride-ref
        image: 'reflectors'
        restart: unless-stopped
        ports:
#          - published: 17000  # M17 Reflector
#            target: 17000
#            protocol: udp
#            mode: host
          - published: 42001  # YSF Reflector
            target: 42001
            protocol: udp
            mode: host
          - published: 41000  # P25 Reflector
            target: 41000
            protocol: udp
            mode: host
          - published: 41400  # NXDN Reflector
            target: 41400
            protocol: udp
            mode: host

        volumes:
          - /config/pride/reflectors/p25reflector:/opt/P25Reflector
          - /config/pride/reflectors/ysfreflector:/opt/YSFReflector
          - /config/pride/reflectors/nxdnreflector:/opt/NXDNReflector
          - /config/pride/reflectors/apache2:/etc/apache2
          - /var/log/pride:/var/log/mmdvm
          - /data/pride/www:/var/www
          - /data/pride/letsencrypt:/etc/letsencrypt
          - /data/pride/reflectors://var/log
#          - /data/stream/dvswitch/:/usr/local/etc/mmdvm
#          - /config/pride/reflectors/apache2:/etc/apache2
        environment:
          - M17REF=0
          - P25REF=1
          - NXDNREF=1
          - YSFREF=1
          - XLXD=0
          - HTTPD=1
        networks:
          stream_net:
            ipv4_address: 10.200.0.54


networks:
    stream_net:
        driver: bridge
        name:  stream_net
        ipam:
           driver: default
           config:
           - subnet: "10.200.0.0/24"
             gateway: "10.200.0.1"
